"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _Platform = _interopRequireDefault(require("react-native-web/dist/cjs/exports/Platform"));

var _View = _interopRequireDefault(require("react-native-web/dist/cjs/exports/View"));

var _Text = _interopRequireDefault(require("react-native-web/dist/cjs/exports/Text"));

var _StyleSheet = _interopRequireDefault(require("react-native-web/dist/cjs/exports/StyleSheet"));

var _Image = _interopRequireDefault(require("react-native-web/dist/cjs/exports/Image"));

var _TouchableOpacity = _interopRequireDefault(require("react-native-web/dist/cjs/exports/TouchableOpacity"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ratingBottleCaps = _interopRequireDefault(require("./../ratingBottleCaps/ratingBottleCaps"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var ListElement =
/*#__PURE__*/
function (_Component) {
  _inherits(ListElement, _Component);

  function ListElement() {
    _classCallCheck(this, ListElement);

    return _possibleConstructorReturn(this, _getPrototypeOf(ListElement).apply(this, arguments));
  }

  _createClass(ListElement, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          kiosk = _this$props.kiosk,
          onPress = _this$props.onPress,
          thumbnail = _this$props.thumbnail;
      var DistanceCount = this.props.distanceCount;
      var DirectionArrow = this.props.directionArrow;
      return _react.default.createElement(_TouchableOpacity.default, {
        activeOpacity: 0.7,
        onPress: onPress
      }, _react.default.createElement(_View.default, null, _react.default.createElement(_View.default, {
        style: styles.containerListElement
      }, thumbnail != null ? _react.default.createElement(_Image.default, {
        style: styles.thumbnail,
        source: {
          uri: "data:image/jpg;base64," + thumbnail,
          scale: 3
        }
      }) : _react.default.createElement(_Image.default, {
        style: styles.thumbnail,
        source: require('./img/KioskSpacer_small.png')
      }), _react.default.createElement(_View.default, {
        style: styles.containerElementContent
      }, _react.default.createElement(_Text.default, {
        style: styles.textTitle,
        numberOfLines: 1
      }, kiosk.name), _react.default.createElement(_View.default, null, _react.default.createElement(_ratingBottleCaps.default, {
        rating: kiosk.averageRating
      })), _react.default.createElement(_View.default, {
        style: styles.containerAddress
      }, _react.default.createElement(_Text.default, {
        style: styles.textAddress
      }, kiosk.address.street + " " + kiosk.address.number), kiosk.address.district ? _react.default.createElement(_Text.default, {
        style: styles.textAddress
      }, ", ") : null, _react.default.createElement(_Text.default, {
        style: styles.textAddress
      }, kiosk.address.district)), this.props.openComponent ? _react.default.createElement(OpenComponent, null) : null), _react.default.createElement(_View.default, {
        style: styles.containerDistance
      }, this.props.directionArrow ? _react.default.createElement(_View.default, {
        style: container.directionArrow
      }, _react.default.createElement(DirectionArrow, null)) : null, _react.default.createElement(DistanceCount, null))), _react.default.createElement(_View.default, {
        style: styles.divider
      })));
    }
  }]);

  return ListElement;
}(_react.Component);

exports.default = ListElement;
ListElement.propTypes = {
  /** Kiosk object from backend must be passed to component */
  kiosk: _propTypes.default.object.isRequired,

  /** React Component with distance information must be passed to component */
  distanceCount: _propTypes.default.element,

  /** React Component with direction arrow must be passed to component */
  directionArrow: _propTypes.default.element,

  /** Handler to be called when the user taps the ListElement*/
  onPress: _propTypes.default.func,

  /** Base64 string with image data. When empty a placeholder is shown.*/
  thumbnail: _propTypes.default.string
};

var styles = _StyleSheet.default.create({
  containerListElement: {
    flex: 1,
    padding: 5,
    flexDirection: 'row'
  },
  thumbnail: {
    width: 75,
    height: 75,
    borderRadius: 3
  },
  containerElementContent: {
    flex: 3,
    paddingLeft: 5,
    flexDirection: 'column'
  },
  containerAddress: {
    flex: 0,
    flexDirection: "row"
  },
  textAddress: {
    fontSize: 12,
    opacity: 0.54
  },
  divider: {
    flex: 0,
    height: _StyleSheet.default.hairlineWidth,
    backgroundColor: '#8E8E8E'
  },
  containerDistance: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'flex-end'
  },
  textTitle: {
    fontSize: 16,
    color: '#000'
  },
  directionArrow: {
    flex: 0
  }
});