"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _svgs = _interopRequireWildcard(require("svgs"));

var _index = require("../../colors/index");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var OuterSpinner =
/*#__PURE__*/
function (_React$Component) {
  _inherits(OuterSpinner, _React$Component);

  function OuterSpinner() {
    _classCallCheck(this, OuterSpinner);

    return _possibleConstructorReturn(this, _getPrototypeOf(OuterSpinner).apply(this, arguments));
  }

  _createClass(OuterSpinner, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          width = _this$props.width,
          height = _this$props.height,
          color = _this$props.color;
      return _react.default.createElement(_svgs.default, {
        style: {
          position: "absolute",
          justifyContent: "center",
          alignItems: "center"
        },
        xmlns: "http://www.w3.org/2000/svg",
        width: width,
        height: height,
        viewBox: "0 0 1000 1000"
      }, _react.default.createElement(_svgs.Path, {
        fill: color,
        d: "M820.941 504.204c0-30.172 23.374-61.825 23.374-61.825s19.52-53.247-26.627-68.334c-46.146-15.086-47.92-60.347-47.92-60.347s15.087-80.767-55.02-81.653c-72.773-.92-90.521-49.227-90.521-49.227s-30.667-52.133-63.894-30.173c-38.187 25.206-54.973 26.62-59.633 26.359h-.067c-.449-.017-.895-.074-1.333-.173v.227c-4.587-.047-20.913-2.127-55.493-24.934-33.267-21.939-68 28.867-68 28.867s-17.813 48.3-90.554 49.22c-70.106.887-55.02 81.653-55.02 81.653s-1.78 45.26-47.927 60.347-26.62 68.333-26.62 68.333 23.333 31.653 23.333 61.826c0 0-2.367 23.333-17.153 50.287-14.787 26.953-13.02 49.699 11.24 68.926 24.26 19.228 43.78 23.66 56.794 55.613 13.013 31.954-10.061 73.954 30.466 88.447 40.527 14.493 65.38-13.334 102.947 34.606 0 0 16.42 41.64 55.687 49.407 39.267 7.767 44.373-28.348 81.867-28.127 37.494-.22 40.82 35.72 80.094 27.953s55.687-49.4 55.687-49.4c37.566-47.92 62.413-20.113 102.94-34.606 40.526-14.493 17.453-56.5 30.466-88.453 13.014-31.953 32.541-36.38 56.801-55.606s26-42 11.24-68.927c-14.76-26.926-17.154-50.286-17.154-50.286zM500 759.141c-143.12 0-259.141-116.021-259.141-259.14 0-143.121 116.021-259.142 259.141-259.142 143.121 0 259.141 116.021 259.141 259.142 0 143.118-116.02 259.14-259.141 259.14z"
      }));
    }
  }]);

  return OuterSpinner;
}(_react.default.Component);

exports.default = OuterSpinner;
OuterSpinner.defaultProps = {
  color: _index.PRIMARY_COLOR
};
OuterSpinner.propTypes = {
  /** Width of the logo SVG*/
  width: _propTypes.default.number.isRequired,

  /** Height of the logo SVG*/
  height: _propTypes.default.number.isRequired,

  /** Specifies color of vector graphic*/
  color: _propTypes.default.string
};